package ass.sivakfil.hw8.server.impl;

import java.nio.channels.SocketChannel;

import ass.sivakfil.hw8.server.IRequest;

public class ClientRequest implements IRequest {
	protected SocketChannel client;
	protected String requestData;

	public ClientRequest(SocketChannel clientAddress, String requestData) {
		this.client = clientAddress;
		this.requestData = requestData;
	}

	public SocketChannel getClient() {
		return client;
	}

	public String getRequestData() {
		return requestData;
	}

	@Override
	public String toString() {
		return "ClientRequest [clientAddress=" + client + ", requestData=" + requestData + "]";
	}
}
